$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.117.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.117.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '13FE05CFB29926F7A3CFDEA0141518AE6653B1E476E4D0964B5330882B2B22D6'
  checksumType = 'sha256'
  checksum64 = '13FE05CFB29926F7A3CFDEA0141518AE6653B1E476E4D0964B5330882B2B22D6'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.117-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
